Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(267)

Unified Diff: cmake/cmake_build

Issue 1339603003: CMake bot script (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: comment Created 5 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « DEPS ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: cmake/cmake_build
diff --git a/cmake/cmake_build b/cmake/cmake_build
new file mode 100755
index 0000000000000000000000000000000000000000..2ff7a9c541bf5895c309358b8313f6d12612f4e1
--- /dev/null
+++ b/cmake/cmake_build
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Copyright 2015 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Script for building with CMake on Skia build bots.
+# If you have CMake installed on your system, you can just use it normally.
+
+set -e
+set -x
+
+here=`dirname $0`
+cores=32
+
+echo "Bootstrapping CMake"
+pushd $here/../third_party/externals/cmake
+./bootstrap --parallel=$cores
+make -j $cores
+popd
+
+echo "Building with bootstrapped CMake"
+pushd $here
+../third_party/externals/cmake/bin/cmake . -G Ninja
+ninja skia # The default also builds `example`, which I'm leaving a TODO for now.
+popd
« no previous file with comments | « DEPS ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698